VST 3 Examples: ProxyParameter Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Member Functions | List of all members
ProxyParameter Class Referencefinal

`#include <mdaTestToneController.h>`

Inheritance diagram for ProxyParameter:

## Public Member Functions
| ProxyParameter (Parameter *p)
bool | setProxy (Parameter *p)
Parameter * | getProxy () const
const ParameterInfo & | getInfo () const SMTG_OVERRIDE
ParameterInfo & | getInfo () SMTG_OVERRIDE
void | setUnitID (UnitID id) SMTG_OVERRIDE
UnitID | getUnitID () SMTG_OVERRIDE
bool | setNormalized (ParamValue v) SMTG_OVERRIDE
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
int32 | getPrecision () const SMTG_OVERRIDE
void | setPrecision (int32 val) SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
virtual const ParameterInfo & | getInfo () const
virtual ParameterInfo & | getInfo ()
virtual void | setUnitID (UnitID id)
virtual UnitID | getUnitID ()
ParamValue | getNormalized () const
virtual bool | setNormalized (ParamValue v)
virtual void | toString (ParamValue valueNormalized, String128 string) const
virtual bool | fromString (const TChar *string, ParamValue &valueNormalized) const
virtual ParamValue | toPlain (ParamValue valueNormalized) const
virtual ParamValue | toNormalized (ParamValue plainValue) const
virtual int32 | getPrecision () const
virtual void | setPrecision (int32 val)

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Constructor & Destructor Documentation

## ◆ ProxyParameter()

ProxyParameter | ( | Parameter * | p | ) |
| inline

## Member Function Documentation

## ◆ setProxy()

bool setProxy | ( | Parameter * | p | ) |
| inline

## ◆ getProxy()

Parameter * getProxy | ( |  | ) | const
| inline

## ◆ getInfo() [1/2]

const ParameterInfo & getInfo | ( |  | ) | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ getInfo() [2/2]

ParameterInfo & getInfo | ( |  | ) |
| inlinevirtual

Reimplemented from Parameter.

## ◆ setUnitID()

void setUnitID | ( | UnitID | id | ) |
| inlinevirtual

Reimplemented from Parameter.

## ◆ getUnitID()

UnitID getUnitID | ( |  | ) |
| inlinevirtual

Reimplemented from Parameter.

## ◆ setNormalized()

bool setNormalized | ( | ParamValue | v | ) |
| inlinevirtual

Reimplemented from Parameter.

## ◆ toString()

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ fromString()

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ toPlain()

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ toNormalized()

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ getPrecision()

int32 getPrecision | ( |  | ) | const
| inlinevirtual

Reimplemented from Parameter.

## ◆ setPrecision()

void setPrecision | ( | int32 | val | ) |
| inlinevirtual

Reimplemented from Parameter.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.